UHardwareGpsSvStatus Struct Reference
Functions and types for accessing GPS H/W.

`#include <gps.h>`

Collaboration diagram for UHardwareGpsSvStatus:

## Data Fields

size_t | size
int | num_svs
UHardwareGpsSvInfo | sv_list [U_HARDWARE_GPS_MAX_SVS]
uint32_t | ephemeris_mask
uint32_t | almanac_mask
uint32_t | used_in_fix_mask

## Detailed Description

Represents SV (Space Vehicle) status.

Definition at line 274 of file gps.h.

## Field Documentation

uint32_t UHardwareGpsSvStatus::almanac_mask

Represents a bit mask indicating which SVs have almanac data.

Definition at line 292 of file gps.h.

uint32_t UHardwareGpsSvStatus::ephemeris_mask

Represents a bit mask indicating which SVs have ephemeris data.

Definition at line 287 of file gps.h.

int UHardwareGpsSvStatus::num_svs

Number of SVs currently visible.

Definition at line 279 of file gps.h.

size_t UHardwareGpsSvStatus::size

set to sizeof(GpsSvStatus)

Definition at line 276 of file gps.h.

UHardwareGpsSvInfo UHardwareGpsSvStatus::sv_list[U_HARDWARE_GPS_MAX_SVS]

Contains an array of SV information.

Definition at line 282 of file gps.h.

uint32_t UHardwareGpsSvStatus::used_in_fix_mask

Represents a bit mask indicating which SVs were used for computing the most recent position fix.

Definition at line 298 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h